%%ItemTitle%%

Nevron Draw
Introduction
Send Feedback

Glossary Item Box

Nevron Draw is a powerful, yet easy to use software for creation of diagrams. It provides a large selection of shapes, formula based engine like in Microsoft Visio, a lot of automatic layout algorithms and many other features. The following list outlines the main features of Nevron Draw in more details:

  • UI
    • Library browser
    • Pan and zoom view
    • Diagram view with different view modes
    • Rulers
    • Guidelines
    • Ribbon and command bars UIs with the ability to swicth between them
    • Predefined UI themes such as "Windows 8", "Windows 7 Aero", "Windows XP", "Mac OS Lion", several windows classic themes and so on
  • Document
    • Support for multiple pages
    • Large number of predefined shapes
    • Grouping and ungrouping of shapes
    • 1D and 2D barcodes
    • Measurement units and scaling
    • Formulas
  • Interaction
    • Rotation, scaling and moving of shapes and groups
    • A lot of tools such as pointer tool, create rectangle tool, create ellipse tool, edit geometry tool, pan tool, etc.
    • Snap and glue
    • Spacing and positioning of shapes
    • Automatic layouts and routing
    • Shape protections
    • Inplace editing and formatting of texts
    • Tooltips and clickable hyperlinks for shapes and groups
  • Printing
    • Print dialog with settings for page size, margins and layout mode
    • Ability to exclude certain shapes and groups from printing
  • Formats
    • Native Nevron XML and binary based formats
    • Export to the most popular image formats: bitmap, JPEG, PNG
    • Export to PDF
©2015. All Rights Reserved.


Overview
User Interface > Overview

Glossary Item Box

The following image shows the main parts of Nevron Draw's user interface (UI):

  • Drawing View - this is the area in which you can create your diagrams
  • Library Browser - lets you quickly insert shapes into the drawing view using drag and drop
  • Pan and Zoom View - presents a small preview of the drawing document and can be used to quickly move to another area of the document
  • Ribbon - contains a set of buttons, menus, combo boxes and other command controls organized logically in groups and tabs that lets you manipulate the diagram, add, arrange and style shapes and so on.
  • Page Navigator - lets you add more pages to your drawing document and switch between them
  • Zoom Slider - lets you quickly zoom in and out the drawing view
  • Status Bar - shows useful information about the current selection and the mouse


Drawing View
User Interface > Drawing View

Glossary Item Box

The drawing view is the area in which you create your diagrams. To help you position shapes more precisely it shows a grid and rulers by default. The view also aids you by providing snapping behavior to grids, rulers and guidelines. Guidelines are vertical or horizontal lines you can use to align shapes to. To create a guideline simply drag the horizontal or the vertical ruler towards the drawing view.

You can show and hide different elements of the drawing view as well as to control its zooming mode through the View tab page of Nevron Draw's ribbon:

The Show ribbon group lets you toggle the visibility of the different view elements such as grid, guidelines, ports, rulers, etc.

The Snap ribbon group gives you controls over the snapping behavior of the drawing view.

The Zoom ribbon group lets you change the zoom mode of the drawing view to one of the following:

  • Normal - in this mode the drawing view zoom factor is not automatically calculated
  • Fit to Page - the drawing view is automatically zoomed in or our so that a whole page is shown in the available area
  • Fit to Width - the drawing view is zoomed so that the whole width of the current page is visible
  • Fit to Height - the drawing view is zoomed so that the whole height if the current page is visible


Library Browser
User Interface > Library Browser

Glossary Item Box

The library browser is a navigation bar that contains several sets of shapes, called libraries.

You can drag and drop any shape from the library browser to the drawing view in order to add shapes to the diagram. You can then customize the shape using the ribbon or the context menu. To show the shapes of another library simply click its name in the library browser. For example the image on the left shows the first three shapes of the "Basic Shapes" predefined library.

If you want to create a library of your own, then click the New Library button (the first button) of the library browser's tool bar. A new library will then be added to the library browser. You can drag and drop any shape from the drawing view to this new library view and it will be added to it. The buttons at the top of the library browser can be used to save and load libraries.


Pan and Zoom View
User Interface > Pan and Zoom View

Glossary Item Box

You can use the Pan and Zoom view to jump to a different location of the drawing view or to zoom it in or out. To move across the drawing view simply drag the pan and zoom view rectangle with the left mouse button. If you resize this rectangle using the tracers at its corners, then the drawing view will zoom in or out.

The following image demonstrates how to use the Pan and Zoom View to set the visible area of the drawing view. Note how the visible area of the drawing view matches exactly the red rectangle of the Pan and Zoom View.


Page Navigator
User Interface > Page Navigator

Glossary Item Box

The page navigator lets you add pages to your diagram documents and navigate through these pages.

To add a page, click the Add button. You can then click on the button associated with a given page to navigate to it. The button All shows a menu with all pages of the current document, so you can easily switch to the desired page.


Ribbon
User Interface > Ribbon

Glossary Item Box

Nevron Draw's ribbon organizes the commands of the application into tabs and ribbon groups.

  • Home Tab Page
  • Action Tab Page
  • Insert Tab Page
  • View Tab Page
  • Application Menu
Each command item in the ribbon has a tooltip, which contains information about the command and its keyboard shortcut (if any), so when in doubt about what a given command does, simply move the mouse pointer over it and wait a second for the tooltip to show.

Show Home Tab Page

The Home tab page is the default page of the diagram ribbon.

As the image above shows the Home tab page is organized into the following ribbon groups:

  • Clipboard - lets you cut or copy the currently selected shapes. When there are compatible objects in the clipboard you can also use the Paste button to paste them in your diagram.
  • Font - lets you control the font, size and appearance of the text of the currently selected shape.
  • Paragraph - lets you specify the text alignment of the currently selected shape.
  • Tools - contains a set of tools that you can activate in order to create custom shapes, edit the geometry of a shape, insert text, pan the diagram or simply to go back to the default tool as shown on the above image - the pointer tool.
  • Shape Styles - lets you control the fill, stroke, shadow and corner rounding of the currently selected shape. For 1D shape (i.e. connectors) you can also specify the begin and end arrowhead styles.
  • Arrange - lets you position and size the currently selected shapes. This group also contains the Layout button, which launches the "Layout Shapes" dialog. You can use this dialog to apply one of the predefined automatic layouts to all or some of the shapes of your diagram.
  • Editing - lets you undo/redo the recently made changes to your diagram, as well as to select all shapes, all 1D shapes or all 2D shapes.

Show Action Tab Page

The Action tab page lets you manipulate the currently selected shape/shapes.

The Action tab page consists of the following ribbon groups:

  • Group - lets you group and ungroup a set of shapes.
  • Rotate - lets you flip or rotate a shape.
  • Compose - lets you create create a complex geometry shape by performing a geometry operation to a set of shapes.
  • Settings - lets you configure some application settings.

Show Insert Tab Page

The Insert tab page lets you insert an object into the document.

The Insert tab page currently has the following ribbon groups:

  • Illustrations - lets you easily insert an image or a 1D/2D barcode to your diagram. If you insert a barcode, you can then right click it to modify its properties.

Show View Tab Page

The View tab page lets you control the visibility and behavior of various elements of the drawing view.

For more information, check out the Drawing View topic.

Show Application Menu

The application menu is shown after you click on File. It contains menu items for saving the diagram or loading a diagram from a file, for printing and export and so on. It also contains the menu item for showing the About dialog and the button that shows the Options dialog, which you can use to switch the current UI theme, or swicth to traditional command bar UI. The right side of the application menu shows the recently opened/saved documents with the ability to pin the ones you find more important.


Working with Diagrams
Basic Tasks > Working with Diagrams

Glossary Item Box

This topic explains how to perform the following operations:

  • Create a new diagram
  • Open a diagram
  • Save a diagram
  • Export a diagram to an image
  • Export a diagram to PDF

Show Create a new diagram

Nevron Draw by default starts with a new diagram. At any time you can also click File and then New (or press Ctrl+N) to start a new diagram.

Show Open a diagram

To open a diagram click File and then Open or press Ctrl+O from the keyboard. An "Open File" dialog will open in which you can select the file you want to open. Nevron Draw currently supports Nevron XML Drawings (NDX) and Nevron Binary Drawings (NDB). You can also drag and drop a compatible file format to the drawing view of Nevron Draw and it will open.

For your convenience Nevron Draw also maintains a list of the recently used drawing documents at the right side of the application menu. You can click any of the documents there to open it. You can also use the pin buttons next to each recent document to pin it to/unpin it from the recent documents menu.

Show Save a diagram

To save a diagram click File and then Save or press Ctrl+S from the keyboard. A "Save File" dialog will open in which you can specify the name and the type of the file Nevron Draw should save your diagram to.

Show Export a diagram to an image

Nevron Draw supports exporting of diagrams to a set of popular image formats like bitmap (BMP), PNG and JPEG. To export a diagram to an image, click File and then Export to Image... The following dialog will open:

In this dialog you can specify whether the whole page or only a part of it should be exported as well as the resolution of the generated image in dots per inch. When ready, click the Save Image button to save the image to a file or use the Copy To Clipboard button to copy it to system's clipboard, so that you can paste it easily in other programs for furhter processing.

Show Export a diagram to PDF

Nevron Draw makes it easy to export any diagram to PDF. To do so click File and then Export to PDF... The following dialog will open:

The PDF export dialog lets you configure the page size and page margins. You can also specify the print layout, which determines the zoom mode of the diagram. If the paging mode is set to "Fit To Pages", you can specify on how many pages the diagram should be fitted. For example if you want the diagram to be fitted on 1 page, set page columns and page rows to 1. If you want the diagram to be fitted on 6 pages, set the page columns to 3 and page rows to 2 and so on. When ready, click the Export tp PDF button to export the diagram to a PDF file.


Working with Shapes
Basic Tasks > Working with Shapes

Glossary Item Box

This topic explains how to perform the following operations:

  • Add a shape
  • Connect two shapes
  • Add text to a shape or to the page
  • Select, move, resize and rotate a shape
  • Format shapes

Show Add a shape

From the library browser click and hold the shape you want to add and then drag it onto the drawing.

Show Connect two shapes

To connect two 2D shapes you can use the Line or the Connector tool. To activate such tool, click it in the ribbon. Then click on a port of the shape you want the connector to start from and drag to a port of the shape you want the connector to end in. When the mouse is over a port or the contour of a shape, it will get highlighted, which indicates that you can start/end the connector there. The following image shows the result of using the Line tool to connect a rectangle and an ellipse.

Show Add text to a shape or to the page

To add text to a shape, activate the Pointer tool (the one that looks like an arrow) and double click the shape. An in-place text block for entering/modifying the text of the shape will open. You can use the buttons in the Font and Paragraph ribbon groups to style the text of the shape.

If you want to simply add some text to the page, then activate the Text tool (the one that looks like the letter "T"), click and hold somewhere in the page and drag to create a text area. Then double click this text area and enter your text.

Show Select, move, resize and rotate a shape

To select a shape either click it or click and hold somewhere outside of it and then drag to trigger the rectangular selection tool and select it. When the shape is selected a set of trackers will appear around it as shown in the picture to the left.

To move a shape click and hold it and drag it to the desired location.

To resize a shape, drag one of its connectors.

To rotate a shape use the circular tracker above the shape. You can also use the buttons in the Rotate ribbon group of the Action tab page.

Show Format shapes

To change the appearance of a shape use the split buttons in the Shape Styles ribbon group of the Home tab. They will let you change the fill, stroke and shadow of a shape, as well as its corner rounding. If the selected shape is a 1D shape (i.e. a connector) you can also change its start and end arrowheads.


Working with Groups
Basic Tasks > Working with Groups

Glossary Item Box

In Nevron Draw groups are special kind of shapes, which can aggregate other shapes. For example the following is a group that aggregates 3 shapes - a square, a circle and a triangle:

Groups support drill down selection, which means that you can select a shape within the group by first clicking on the group to select the group and then clicking on the particular shape within the group to select it.

Show Group shapes together

To group two or more shapes together, you should select them and then click on the Group button from the Action ribbon tab or press Ctrl+Shift+G from the keyboard. You can group not only shapes but other groups as well. When a set of shapes are grouped together they will act as one shape, which means that you will be able to easily rotate and/or resize all of them at once.

Show Ungroup a group of shapes

If you want to ungroup a group of shapes, click the group to select it and then click the Ungroup button from the Action ribbon tab or press Ctrl+Shift+U from the keyboard.


Inserting Images and Barcodes
Basic Tasks > Inserting Images and Barcodes

Glossary Item Box

This topic epxlains how to perform the following operations:

  • Insert an image
  • Insert a 1D barcode
  • Insert a 2D barcode

Show Insert an image

The Insert tab page of Nevron Draw's ribbon lets you easily insert images, 1D and 2D barcodes.

To insert an image click the Image button of the Insert tab. A file dialog for selecting an image file will open. Nevron Draw currently supports the following image formats:

  • Bitmap
  • GIF
  • JPEG
  • PNG
  • Nevron Raster Image (NRI)

Show Insert a 1D barcode

To insert a 1D (a.k.a. linear) barcode, click the 1D Barcode button of the Insert tab. The following dialog will open:

In this dialog you can configure the scale and the size mode of the barcode, its background and text fill, its symbology and text. Note that some symbologies have strict requieremnt on the text of the barcode, for example an EAN13 barcode can only have 13 digits (12 digits + 1 check digit).

If you enter "0123456789012" in the dialog above, the following 1D barcode will be created:

Show Insert a 2D barcode

To insert a 2D (a.k.a. matrix) barcode, click the 2D Barcode button of the Insert tab. A dialog similar to the one for 1D barcode will open. It will let you configure the scale and size mode of the barcode, its background and text fill, its symbology and text. Nevron Draw currently supports two 2D barcode symbologies:

  • QR code

  • PDF 417


Custom Shapes
Advanced Tasks > Custom Shapes

Glossary Item Box

Nevron Draw comes with a large library of predefined shapes, but if none of them is suitable for your latest diagram, don't worry, because it's easy to create a custom shape that suits your needs. Nevron Draw provides several methods for creating custom shapes:

Show Composing shapes

Shape composition is the process of combining the geometry of two or more shapes into one. To compose a complex shape, create and position two or more shapes, select them either by Crtl+Click all of them or by rectangular selection and then use one of the buttons in the Compose ribbon group of the Action tab page. The image below demonstrates the result of different shape composition operations on a square and 4 triangles.

Show Drawing shapes

Nevron Draw also lets you draw shapes using lines, cubic beziers and arcs. To draw a custom shape, select one of these draw tool and start creating primitives (lines, curves, arcs, etc.). Each time you place the mouse cursor over the start or the end of a primitive Nevron Draw will show a tooltip to remind you that you can extend the current geometry from this point. If a primitive you are drawing closes a geometry at given point a tooltip "Close Geometry" will show to inform you that at this point the gemetry will be closed and a 2D shape will be produced.

You can use the "Edit Geometry" tool (the pencil) to modify the control points of the geometry primitives in order to change the outline of the shape.


Automatic Layouts
Advanced Tasks > Automatic Layouts

Glossary Item Box

Nevron Draw contains a large number of automatic layout that can help you position the shapes and connectors of your diagram automatically in order to get an esthetically pleasing drawing.

Show Layout types

Nevron Draw provides three main types of automatic layouts:

  • Box layouts - arrange only the 2D shapes of a diagram without taking into account the connectors. Usefull when you want to order a bunch of not connected shapes in a tabular manner for example.
  • Graph layouts - arrange both the 2D shapes and the 1D shapes (connectors) of a diagram. Useful for wide range of diagrams. Handles well and produces nice drawwing of all kinds of connected diagrams.
  • Tree layouts - arrange both the 2D shapes and the 1D shapes (connectors) of a diagram. Can be regarded as a special case of the graph layouts optimized for tree diagrams, i.e. diagrams in which each shape has only one parent, except for the root shape, which does not have a parent shape.

The main type of the layout is indicated by its icon in the "Layout Type" combo box as shown in the image in the next section.

Show Apply a layout

To apply a an automatic layout to your diagram click the Layout button from the Arrange ribbon group of the Home tab. The following dialog will open:

You can choose the layout you want to apply from the "Layout Type" combo box. When you select a layout a preview will open to the right, so that you can get an idea how the layout will arrange your shapes. You can change the settings of the layout from the controls that appear in the "General" tab page. All setting changes will immediately reflect in the preview so you can easily see their effect on the layout.